package com.liang.service;

import com.liang.entity.StaProjectExpenses;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;

/**
 * 项目费用支出（StaProjectExpensesService）表服务接口
 */
public interface StaProjectExpensesService {
    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    StaProjectExpenses queryById(Integer id);

    /**
     * 分页查询
     *
     * @param staProjectExpenses 筛选条件
     * @param pageRequest        分页对象
     * @return 查询结果
     */
    Page<StaProjectExpenses> queryByPage(StaProjectExpenses staProjectExpenses, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param staProjectExpenses 实例对象
     * @return 实例对象
     */
    int insert(StaProjectExpenses staProjectExpenses);

    /**
     * 修改数据
     *
     * @param staProjectExpenses 实例对象
     * @return 实例对象
     */
    int update(StaProjectExpenses staProjectExpenses);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 通过主表删除数据
     *
     * @param zb
     * @return
     */
    int deleteByZb(Integer zb);

    /**
     * 批量删除项目费用支出
     *
     * @param zbList
     * @return
     */
    int batchDeleteByZb(List<Integer> zbList);

    /**
     * 批量插入项目费用支出
     *
     * @param expenseList
     * @return
     */
    int insertBatch(List<StaProjectExpenses> expenseList);

    /**
     * 获取项目费用支出列表
     *
     * @return
     */
    List<StaProjectExpenses> getXmfyList(Integer zb);
}
